package charcter.message;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics2D;

import charcter.Drawable;

public class KumaEatMessage implements Message,Drawable{

	public static final double G = 9.8; 
	
	String message = "ウマー";
	Font font;
	
	int winWidth,winHeight;
	
	int x,y;
	double vx,vy;
	
	public KumaEatMessage(int _x, int _y,Dimension d,String _message){
		x = _x;
		y = _y;
		winWidth = (int)d.getWidth();
		winHeight = (int)d.getHeight();
		vx = (-5 + Math.random()*10);
		vy = -80;
		message = _message;
		
		font = new Font(null,Font.BOLD,30);
	}
	
	@Override
	public final void draw(Graphics2D g) {
		Graphics2D g2 = (Graphics2D)g.create();
		g2.setColor(Color.white);
		g2.setFont( font );
		g2.drawString(message,x,y);
		g2.dispose();
	}

	@Override
	public final void move() {
		vy += G;
		y += vy;
		x += vx;		
	}
	
	
	@Override
	public final boolean  isDispose() {
		return winHeight < y;
	}

}
