package main;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;

import charcter.Drawable;

public class Score implements Drawable{
	int score;
	Font font;
	
	int x,y;
	
	String scoreStr = "クマー";
	
	public Score(){
		
		init();
		
		x = 10; y = 30;
		
		font = new Font(null,Font.BOLD,30);
	}
	
	/**
	 * スコアをリセット
	 */
	public void init(){
		score = 0;
	}
	
	@Override
	public void draw(Graphics2D g){
		Graphics2D g2 = (Graphics2D)g.create();
		g2.setColor(Color.white);
		g2.setFont( font );
		g2.drawString(Integer.toString(score)+scoreStr,x,y);
		g2.dispose();
	}
	
	public synchronized final int addScore(int i){
		return score+=i;
	}
	
	public final int getScore(){
		return score;
	}
	
}
